#include <stdio.h>
#include <stdlib.h>
#include SHA1_HEADER

char buf[4096];

int main(int ac, char **av)
{
	int i, n;
	git_SHA_CTX ctx;
	unsigned char hash[20];

	n = (ac > 1)? atoi(av[1]) * 256: 256000;
	git_SHA1_Init(&ctx);
	for (i = 0; i < n; ++i)
		git_SHA1_Update(&ctx, buf, sizeof(buf));
	git_SHA1_Final(hash, &ctx);
	for (n = 0; n < 20; ++n)
		printf("%.2x", hash[n]);
	printf("\n");
	exit(0);
}
